/**
 * Copyright (C) 2016-2017  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtabs.demo.ui.tree;

import com.vaadin.ui.Panel;

public class TreePanel
    extends Panel
{

    private static final long serialVersionUID = -6839942605652521328L;

    private boolean isAttached = false;

    private TabsTree tabsTree = null;

    public TreePanel()
    {
        // Auto-generated constructor stub
    }

    @Override
    public void attach()
    {
        super.attach();
        if ( !isAttached )
        {
            tabsTree = new TabsTree();
            isAttached = true;
            setStyleName( "tree" );
            setSizeUndefined();
            setWidth( 310, Unit.PIXELS );
            setHeight( 100, Unit.PERCENTAGE );
            setContent( tabsTree );
        }
    }

    public void processChangedFragment( String fragment )
    {
        tabsTree.processChangedFragment( fragment );
    }

}
